package com.casic.missiles.modular.system.enums;

import java.util.HashMap;

public enum DeviceDataExportEnum {

    /**
     *
     */
    WELLDATA_EXPORT("wellCoverData.xlsx", "井盖查询数据"),
    LIQUIDDATA_EXPORT("liquidData.xlsx", "液位数据"),
    HARMFULDATA_EXPORT("harmfulData.xlsx", "有害气体数据"),
    GASDATA_EXPORT("gasData.xlsx", "燃气数据"),
    TEMPDATA_EXPORT("tempData.xlsx", "温湿度数据"),
    DIGDATA_EXPORT("digData.xlsx", "开挖数据"),
    WELLLOCDATA_EXPORT("wellLocData.xlsx", "井盖定位数据"),
    NOISEDATA_EXPORT("noiseData.xlsx", "噪声记录仪数据"),
    TEMPPRESSDATA_EXPORT("tempPressData.xlsx", "压力数据"),
    LIQUIDGASDATA_EXPORT("gasLiquidData.xlsx", "燃气液位一体化数据"),
    HYDRANT_EXPORT("hydrantData.xlsx", "消防栓数据"),
    TUBEDATA_EXPORT("tubeData.xlsx", "管盯数据"),
    WELLLIQUIDDATA_EXPORT("wellLiquidData.xlsx", "井盖液位一体化数据"),
    H2S_EXPORT("h2sData.xlsx", "硫化氢数据"),
    METHANE_EXPORT("methaneData.xlsx", "甲烷数据"),
    DEVICE_EXPORT_MAP(new HashMap<Integer, DeviceDataExportEnum>() {
        {
            put(1, WELLDATA_EXPORT);
            put(2, LIQUIDDATA_EXPORT);
            put(3, HARMFULDATA_EXPORT);
            put(4, GASDATA_EXPORT);
            put(5, TEMPDATA_EXPORT);
            put(6, DIGDATA_EXPORT);
            put(7, WELLLOCDATA_EXPORT);
            put(8, NOISEDATA_EXPORT);
            put(9, TEMPPRESSDATA_EXPORT);
            put(10, LIQUIDGASDATA_EXPORT);
            put(11, HYDRANT_EXPORT);
            put(12, TUBEDATA_EXPORT);
            put(13, WELLLIQUIDDATA_EXPORT);
            put(14, H2S_EXPORT);
            put(21, METHANE_EXPORT);
        }
    });

    /**
     * 下载文件名
     */
    private String fileName;
    /**
     * 描述信息
     */
    private String description;

    DeviceDataExportEnum(String fileName, String description) {
        this.fileName = fileName;
        this.description = description;
    }

    public HashMap<Integer, DeviceDataExportEnum> exportMap;

    DeviceDataExportEnum(HashMap<Integer, DeviceDataExportEnum> exportMap) {
        this.exportMap = exportMap;
    }

    public String getFileName() {
        return fileName;
    }

    public  DeviceDataExportEnum getExportMap(Integer deviceType) {
        return exportMap.get(deviceType);
    }


    public String getDescription() {
        return description;
    }
}
